Package org.eclipse.cdt.core.dom.ast

# Interface ILabel

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`

public interface ILabel extends IBinding
Represents the mapping between goto statements and the label statements the go to.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ILabel[]`
`EMPTY_ARRAY`
`static final IBinding[]`
`EMPTY_LABEL_ARRAY`
Deprecated.
use `EMPTY_ARRAY` instead

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTLabelStatement`
`getLabelStatement()`
Returns the label statement for this label.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

## Field Details

### EMPTY_ARRAY

static final ILabel[] EMPTY_ARRAY

Since:
  6.0

### EMPTY_LABEL_ARRAY

@Deprecated static final IBinding[] EMPTY_LABEL_ARRAY
Deprecated.
use `EMPTY_ARRAY` instead

Since:
  5.4
Restriction:
  This field is not intended to be referenced by clients.

## Method Details

### getLabelStatement

IASTLabelStatement getLabelStatement()
Returns the label statement for this label.